
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_syn_puntoIntegracion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_syn_puntoIntegracion]
GO
CREATE PROCEDURE [reg_syn_puntoIntegracion]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[puntoIntegracion] AS [puntoIntegracion],
		[puntoIntegracion_codigo] AS [puntoIntegracion_codigo],
		[tablaLocal] AS [tablaLocal],
		[condicion] AS [condicion],
		[id_puntoIntegracion] AS [id_puntoIntegracion],
		[id_sistemaIntegrar] AS [id_sistemaIntegrar],
		[urlConsumir] AS [urlConsumir]
	FROM [syn_puntoIntegracion]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_syn_puntoIntegracion]')) DROP VIEW [dbo].[view_syn_puntoIntegracion]
GO
CREATE  VIEW [view_syn_puntoIntegracion] AS
SELECT 	[syn_puntoIntegracion].[id] AS [id],
		[syn_puntoIntegracion].[uid] AS [uid],
		[syn_puntoIntegracion].[eid] AS [eid],
		[syn_puntoIntegracion].[id_usuario_modifico] AS [id_usuario_modifico],
		[syn_puntoIntegracion].[id_usuario_creo] AS [id_usuario_creo],
		[syn_puntoIntegracion].[fechaModificacion] AS [fechaModificacion],
		[syn_puntoIntegracion].[fechaCreacion] AS [fechaCreacion],
		[syn_puntoIntegracion].[active] AS [active],
		[syn_puntoIntegracion].[puntoIntegracion] AS [puntoIntegracion],
		[syn_puntoIntegracion].[puntoIntegracion_codigo] AS [puntoIntegracion_codigo],
		[syn_puntoIntegracion].[tablaLocal] AS [tablaLocal],
		[syn_puntoIntegracion].[condicion] AS [condicion],
		[syn_puntoIntegracion].[id_puntoIntegracion] AS [id_puntoIntegracion],
[syn_puntoIntegracion_padre].[puntoIntegracion] as [syn_puntoIntegracion_padre_puntoIntegracion],
[syn_puntoIntegracion_padre].[puntoIntegracion_codigo] as [syn_puntoIntegracion_padre_puntoIntegracion_codigo],
[syn_puntoIntegracion_padre].[tablaLocal] as [syn_puntoIntegracion_padre_tablaLocal],
[syn_puntoIntegracion_padre].[condicion] as [syn_puntoIntegracion_padre_condicion],
[syn_puntoIntegracion_padre].[id_puntoIntegracion] as [syn_puntoIntegracion_padre_id_puntoIntegracion],
[syn_puntoIntegracion_padre].[id_sistemaIntegrar] as [syn_puntoIntegracion_padre_id_sistemaIntegrar],
[syn_puntoIntegracion_padre].[urlConsumir] as [syn_puntoIntegracion_padre_urlConsumir],
		[syn_puntoIntegracion].[id_sistemaIntegrar] AS [id_sistemaIntegrar],
[syn_sistemaIntegrar].[sistemaIntegrar] as [syn_sistemaIntegrar_sistemaIntegrar],
[syn_sistemaIntegrar].[sistemaIntegrar_codigo] as [syn_sistemaIntegrar_sistemaIntegrar_codigo],
[syn_sistemaIntegrar].[usuario] as [syn_sistemaIntegrar_usuario],
[syn_sistemaIntegrar].[clave] as [syn_sistemaIntegrar_clave],
		[syn_puntoIntegracion].[urlConsumir] AS [urlConsumir],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [syn_puntoIntegracion]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[syn_puntoIntegracion].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[syn_puntoIntegracion].[id_usuario_creo]
	INNER JOIN [syn_puntoIntegracion] AS [syn_puntoIntegracion_padre] ON [syn_puntoIntegracion_padre].id=[syn_puntoIntegracion].[id_puntoIntegracion]
	INNER JOIN [syn_sistemaIntegrar] ON [syn_sistemaIntegrar].id=[syn_puntoIntegracion].[id_sistemaIntegrar]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [syn_puntoIntegracion].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
WHERE [syn_puntoIntegracion].active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_syn_puntoIntegracionesXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_syn_puntoIntegracionesXusuario_modifico]
GO
CREATE PROCEDURE [sel_syn_puntoIntegracionesXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_syn_puntoIntegracion]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_syn_puntoIntegracionesXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_syn_puntoIntegracionesXusuario_creo]
GO
CREATE PROCEDURE [sel_syn_puntoIntegracionesXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_syn_puntoIntegracion]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_syn_puntoIntegracionesXpuntoIntegracion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_syn_puntoIntegracionesXpuntoIntegracion]
GO
CREATE PROCEDURE [sel_syn_puntoIntegracionesXpuntoIntegracion]
	@p_id_puntoIntegracion INT
AS
BEGIN
	SELECT * 
	FROM [view_syn_puntoIntegracion]
	WHERE ([id_puntoIntegracion]= @p_id_puntoIntegracion)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_syn_puntoIntegracionesXsistemaIntegrar]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_syn_puntoIntegracionesXsistemaIntegrar]
GO
CREATE PROCEDURE [sel_syn_puntoIntegracionesXsistemaIntegrar]
	@p_id_sistemaIntegrar INT
AS
BEGIN
	SELECT * 
	FROM [view_syn_puntoIntegracion]
	WHERE ([id_sistemaIntegrar]= @p_id_sistemaIntegrar)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_syn_puntoIntegraciones]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_syn_puntoIntegraciones]
GO
CREATE PROCEDURE [sel_syn_puntoIntegraciones]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_syn_puntoIntegracion]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_syn_puntoIntegraciones]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_syn_puntoIntegraciones]
GO
CREATE PROCEDURE [lis_syn_puntoIntegraciones]
	AS
BEGIN
	SELECT id AS id,
[puntoIntegracion] AS [syn_puntoIntegracion]
	FROM [syn_puntoIntegracion]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_syn_puntoIntegracion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_syn_puntoIntegracion]
GO
CREATE PROCEDURE [upd_syn_puntoIntegracion]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_puntoIntegracion varchar(300) = null,
		@p_puntoIntegracion_codigo varchar(100) = null,
		@p_tablaLocal varchar(200) = null,
		@p_condicion varchar(200) = null,
		@p_id_puntoIntegracion int = null,
		@p_id_sistemaIntegrar int = null,
		@p_urlConsumir varchar(500) = null
AS
BEGIN
		UPDATE [syn_puntoIntegracion]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[puntoIntegracion] = isnull(@p_puntoIntegracion,[puntoIntegracion]),
			[puntoIntegracion_codigo] = isnull(@p_puntoIntegracion_codigo,[puntoIntegracion_codigo]),
			[tablaLocal] = isnull(@p_tablaLocal,[tablaLocal]),
			[condicion] = isnull(@p_condicion,[condicion]),
			[id_puntoIntegracion] = isnull(@p_id_puntoIntegracion,[id_puntoIntegracion]),
			[id_sistemaIntegrar] = isnull(@p_id_sistemaIntegrar,[id_sistemaIntegrar]),
			[urlConsumir] = isnull(@p_urlConsumir,[urlConsumir])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_syn_puntoIntegracion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_syn_puntoIntegracion]
GO
CREATE PROCEDURE [ins_syn_puntoIntegracion]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_puntoIntegracion varchar(300),
		@p_puntoIntegracion_codigo varchar(100),
		@p_tablaLocal varchar(200),
		@p_condicion varchar(200),
		@p_id_puntoIntegracion int,
		@p_id_sistemaIntegrar int,
		@p_urlConsumir varchar(500)
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [syn_puntoIntegracion]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[puntoIntegracion],
			[puntoIntegracion_codigo],
			[tablaLocal],
			[condicion],
			[id_puntoIntegracion],
			[id_sistemaIntegrar],
			[urlConsumir])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_puntoIntegracion,
			@p_puntoIntegracion_codigo,
			@p_tablaLocal,
			@p_condicion,
			@p_id_puntoIntegracion,
			@p_id_sistemaIntegrar,
			@p_urlConsumir)
		SET @v_id = scope_identity()
UPDATE [syn_puntoIntegracion] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_syn_puntoIntegracion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_syn_puntoIntegracion]
GO
CREATE PROCEDURE [act_syn_puntoIntegracion]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [syn_puntoIntegracion]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_syn_puntoIntegracion_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_syn_puntoIntegracion_m]
GO
CREATE PROCEDURE [reg_syn_puntoIntegracion_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[puntoIntegracion] AS [puntoIntegracion],
		[puntoIntegracion_codigo] AS [puntoIntegracion_codigo],
		[tablaLocal] AS [tablaLocal],
		[condicion] AS [condicion],
		[id_puntoIntegracion] AS [id_puntoIntegracion],
		[id_sistemaIntegrar] AS [id_sistemaIntegrar],
		[urlConsumir] AS [urlConsumir]
	FROM [syn_puntoIntegracion]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_syn_puntoIntegracionesXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_syn_puntoIntegracionesXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_syn_puntoIntegracionesXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_syn_puntoIntegracion]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_syn_puntoIntegracionesXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_syn_puntoIntegracionesXusuario_creo_m]
GO
CREATE PROCEDURE [sel_syn_puntoIntegracionesXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_syn_puntoIntegracion]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_syn_puntoIntegracionesXpuntoIntegracion_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_syn_puntoIntegracionesXpuntoIntegracion_m]
GO
CREATE PROCEDURE [sel_syn_puntoIntegracionesXpuntoIntegracion_m]
	@p_id_puntoIntegracion INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_syn_puntoIntegracion]
	WHERE ([id_puntoIntegracion]= @p_id_puntoIntegracion)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_syn_puntoIntegracionesXsistemaIntegrar_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_syn_puntoIntegracionesXsistemaIntegrar_m]
GO
CREATE PROCEDURE [sel_syn_puntoIntegracionesXsistemaIntegrar_m]
	@p_id_sistemaIntegrar INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_syn_puntoIntegracion]
	WHERE ([id_sistemaIntegrar]= @p_id_sistemaIntegrar)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_syn_puntoIntegraciones_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_syn_puntoIntegraciones_m]
GO
CREATE PROCEDURE [sel_syn_puntoIntegraciones_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_syn_puntoIntegracion]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_syn_puntoIntegraciones_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_syn_puntoIntegraciones_m]
GO
CREATE PROCEDURE [lis_syn_puntoIntegraciones_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[puntoIntegracion] AS [syn_puntoIntegracion]
	FROM [syn_puntoIntegracion]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_syn_puntoIntegracion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_syn_puntoIntegracion]
GO
CREATE PROCEDURE [aud_syn_puntoIntegracion]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [syn_puntoIntegracion].id as id_tabla,
	[syn_puntoIntegracion].id_usuario_modifico as id_usuario_modifico,
	[syn_puntoIntegracion].id_usuario_creo as id_usuario_creo,
	[syn_puntoIntegracion].fechaModificacion as fechaModificacion,
	[syn_puntoIntegracion].fechaCreacion as fechaCreacion,
	[syn_puntoIntegracion].active as active,
	[syn_puntoIntegracion].[puntoIntegracion] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [syn_puntoIntegracion]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[syn_puntoIntegracion].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[syn_puntoIntegracion].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'syn_puntoIntegracion'
-----------------------------------18/08/2020 9:03:48 a. m.